These nodes are for working with the video capture and playback devices manufactured by Blackmagic Design.

They provide the ability to list devices, receive video frames from a capture device, send video frames to a playback device, switch input connections, and switch video modes.  (Other features, such as VTR controls, are not yet supported.)  These nodes do not directly support sending and receiving audio, but since Blackmagic Design provides standard macOS audio drivers, you can use nodes in the [Audio node set](vuo-nodeset://vuo.audio) to work with Blackmagic audio.

The following Blackmagic Design product lines are supported:

   - DeckLink
   - Intensity
   - UltraStudio
   - Teranex
   - Cinema Camera
   - HyperDeck Studio

Only some Blackmagic Design products can simultaneously capture and play back video ("full duplex").  For example, [DeckLink and UltraStudio products with "4K" in the name](https://forum.blackmagicdesign.com/viewtopic.php?p=205847#p205847) do support simultaneous capture and playback, whereas the Intensity Shuttle Thunderbolt does not.

## Deinterlacing
If your input source uses an interlaced video mode (NTSC, PAL, or HD 1080i), you may wish to remove the interlacing before applying spatial filters to it, or before displaying it on a progressive video output device such as a computer LCD display, projector, or an HD 1080p display.  These nodes offer a few deinterlacing options:

   - `None` — Outputs the image as-is.  This is appropriate for all progressive video, and for interlaced video if you either want to directly output to an interlaced video output device, or perform your own deinterlacing.  For NTSC video, frames are fired at 29.97 FPS, and for PAL, frames are fired at 25 FPS.
   - `Alternate fields` — Outputs each field as a separate image.  The scanlines in each field are doubled and smoothed.  For NTSC video, frames are fired at 59.94 FPS, and for PAL, frames are fired at 50 FPS.  This produces smooth motion, but lower vertical resolution.
   - `Blend fields` — Outputs each pair of fields as a single image.  Each pair of fields lines is blended together and smoothed.  For NTSC video, frames are fired at 29.97 FPS, and for PAL, frames are fired at 25 FPS.  This produces better vertical resolution at the expense of temporal resolution.
